Bug 2251062 (CVE-2023-6258) - CVE-2023-6258 pkcs11-provider: Side-channel proofing PKCS#1 1.5 paths
Summary: CVE-2023-6258 pkcs11-provider: Side-channel proofing PKCS#1 1.5 paths
Keywords:
Status: NEW
Alias: CVE-2023-6258
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2251063
Blocks: 2249907
TreeView+ depends on / blocked
 
Reported: 2023-11-22 16:32 UTC by Sandipan Roy
Modified: 2024-01-30 16:40 UTC (History)
2 users (show)

Fixed In Version: pkcs11-provider-0.2
Doc Type: If docs needed, set a value
Doc Text:
A security vulnerability has been identified in the pkcs11-provider, which is associated with Public-Key Cryptography Standards (PKCS#11). If exploited successfully, this vulnerability could result in a Bleichenbacher-like security flaw, potentially enabling a side-channel attack on PKCS#1 1.5 decryption.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-11-22 16:32:52 UTC
Side-channel proofing PKCS#1 1.5 paths
(Marvin)

Ref: https://github.com/latchset/pkcs11-provider/pull/308

Comment 1 Sandipan Roy 2023-11-22 16:33:09 UTC
Created pkcs11-provider tracking bugs for this issue:

Affects: fedora-all [bug 2251063]


Note You need to log in before you can comment on or make changes to this bug.